Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class InventoryInfoImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.InventoryInfoImpl

public class InventoryInfoImpl
extends BelongingImpl
implements InventoryInfo

Implementation class for the InventoryInfo interface.

See Also:
  `InventoryInfo`, `InventoryInfoHome`, Serialized Form

Field Summary
`boolean` | `inStock` Containment: By Value Multiplicity: 1:1
`java.lang.String` | `shippingTime` Containment: By Value Multiplicity: 1:1
`java.lang.String` | `specialNotices` Containment: By Value Multiplicity: 1:1

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`InventoryInfoImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare this belonging to another
`boolean` | `getInStock()` Get the value of inStock
`java.lang.String` | `getShippingTime()` Get the value of shippingTime
`java.lang.String` | `getSpecialNotices()` Get the value of specialNotices
`java.lang.String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setInStock(boolean inStock)` Set the value of inStock
`void` | `setShippingTime(java.lang.String shippingTime)` Set the value of shippingTime
`void` | `setSpecialNotices(java.lang.String specialNotices)` Set the value of specialNotices
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### shippingTime

    public java.lang.String shippingTime

  - Containment: By Value
  - Multiplicity: 1:1

### inStock

    public boolean inStock

  - Containment: By Value
  - Multiplicity: 1:1

### specialNotices

    public java.lang.String specialNotices

  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### InventoryInfoImpl

    public InventoryInfoImpl()

Method Detail

### getShippingTime

    public java.lang.String getShippingTime()

  Get the value of shippingTime
  Specified by:
    getShippingTime in interface InventoryInfo

  Returns:
    shippingTime.

### setShippingTime

    public void setShippingTime(java.lang.String shippingTime)

  Set the value of shippingTime
  Specified by:
    setShippingTime in interface InventoryInfo

  Parameters:
    `shippingTime` - shippingTime to be added

### getInStock

    public boolean getInStock()

  Get the value of inStock
  Specified by:
    getInStock in interface InventoryInfo

  Returns:
    inStock.

### setInStock

    public void setInStock(boolean inStock)

  Set the value of inStock
  Specified by:
    setInStock in interface InventoryInfo

  Parameters:
    `inStock` - inStock to be added

### getSpecialNotices

    public java.lang.String getSpecialNotices()

  Get the value of specialNotices
  Specified by:
    getSpecialNotices in interface InventoryInfo

  Returns:
    specialNotices.

### setSpecialNotices

    public void setSpecialNotices(java.lang.String specialNotices)

  Set the value of specialNotices
  Specified by:
    setSpecialNotices in interface InventoryInfo

  Parameters:
    `specialNotices` - specialNotices to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance

### interfaceName

    public java.lang.String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved